Start a hosted checkout for a paid plan
POST
/v1/billing/checkout
const url = 'https://app.skillpouch.net/v1/billing/checkout';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"plan_slug":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.skillpouch.net/v1/billing/checkout \ --header 'Content-Type: application/json' \ --data '{ "plan_slug": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
plan_slug
required
string
Example generated
{ "plan_slug": "example"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
ok
required
boolean
data
required
object
url
required
string format: uri
meta
required
object
request_id
required
string
next_cursor
string | null
Example
{ "ok": true}